classification
Title: parser module doesn't support 'raise ... from'
Type: behavior Stage: patch review
Components: Library (Lib) Versions: Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: mark.dickinson Nosy List: mark.dickinson, meador.inge, python-dev, terry.reedy
Priority: normal Keywords: patch

Created on 2012-04-30 18:55 by mark.dickinson, last changed 2012-05-07 11:07 by mark.dickinson. This issue is now closed.

Files
File name Uploaded Description Edit
parser_raisefrom.patch mark.dickinson, 2012-04-30 18:58 review
Messages (6)
msg159724 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-04-30 18:55
>>> import parser
>>> parser.tuple2st(parser.expr('raise exc from e'))
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "<string>", line 1
    raise exc from e
msg159725 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-04-30 18:58
Patch attached.
msg159956 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-05-04 18:21
Just curious, should "The parser module provides an interface to Python’s internal parser and byte-code compiler." say "CPython's"?
msg159958 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-05-04 18:25
Hmm.  Possibly, yes.  At least, it should be clear somehow from the docs that the parser, symbol, token and ast modules are CPython specific.  (And possibly tokenize, too.)
msg160133 - (view) Author: Roundup Robot (python-dev) Date: 2012-05-07 11:03
New changeset fc17f70292f6 by Mark Dickinson in branch '3.2':
Issue #14701:  Add missing support for 'raise ... from' in parser module.
http://hg.python.org/cpython/rev/fc17f70292f6

New changeset 0dd0d56bdcc1 by Mark Dickinson in branch 'default':
Issue #14701: Merge fix from 3.2.
http://hg.python.org/cpython/rev/0dd0d56bdcc1
msg160135 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2012-05-07 11:07
Now fixed.

Terry: I suggest opening a separate doc issue for the 'CPython-specific' issue
History
Date User Action Args
2012-05-07 11:07:56mark.dickinsonsetstatus: open -> closed
messages: + msg160135

assignee: mark.dickinson
components: + Library (Lib)
resolution: fixed
2012-05-07 11:03:24python-devsetnosy: + python-dev
messages: + msg160133
2012-05-04 18:25:56mark.dickinsonsetmessages: + msg159958
2012-05-04 18:21:57terry.reedysetnosy: + terry.reedy
messages: + msg159956
2012-05-01 04:32:23meador.ingesetnosy: + meador.inge
2012-04-30 18:58:35mark.dickinsonsetfiles: + parser_raisefrom.patch
keywords: + patch
messages: + msg159725

stage: needs patch -> patch review
2012-04-30 18:55:23mark.dickinsoncreate